Name:       perl-MooseX-App-Cmd
Version:    0.06
Release:    2%{?dist}
# see lib/MooseX/App/Cmd.pm
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Mashes up MooseX::Getopt and App::Cmd
Source:     http://search.cpan.org/CPAN/authors/id/N/NU/NUFFIN/MooseX-App-Cmd-%{version}.tar.gz
Url:        http://search.cpan.org/dist/MooseX-App-Cmd
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(App::Cmd) >= 0.3
BuildRequires: perl(Getopt::Long::Descriptive)
BuildRequires: perl(Moose) >= 0.86
BuildRequires: perl(MooseX::Getopt) >= 0.18
BuildRequires: perl(MooseX::ConfigFromFile)
# testing
BuildRequires: perl(YAML)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::use::ok)

# we don't pick up Moose keywords automagically yet
Requires: perl(App::Cmd) >= 0.3
Requires: perl(App::Cmd::Command)
Requires: perl(MooseX::Getopt) >= 0.18
Requires: perl(MooseX::ConfigFromFile)

Requires:       perl(Getopt::Long::Descriptive)
Requires:       perl(Moose) >= 0.86

%description
This module marries App::Cmd with MooseX::Getopt.

Use it like the App::Cmd manpage advises (especially see the
App::Cmd::Tutorial manpage), swapping App::Cmd::Command for
MooseX::App::Cmd::Command.

Then you can write your commands as Moose classes, with the
MooseX::Getopt defining the options for you instead of 'opt_spec'
returning a Getopt::Long::Descriptive spec.

%{?perl_default_filter}

%prep
%setup -q -n MooseX-App-Cmd-%{version}

perl -pi -e 's|^#!perl|#!%{__perl}|' t/*.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes t/
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.06-2
- rebuild against perl 5.10.1

* Sat Sep 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.06-1
- switch filtering systems
- auto-update to 0.06 (by cpan-spec-update 0.01)
- altered br on perl(App::Cmd) (0 => 0.3)
- altered req on perl(App::Cmd) (0 => 0.3)
- added a new req on perl(Test::use::ok) (version 0)

* Wed Aug 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.05-1
- auto-update to 0.05 (by cpan-spec-update 0.01)
- altered br on perl(Moose) (0 => 0.86)
- altered br on perl(MooseX::Getopt) (0.09 => 0.18)
- added a new req on perl(Getopt::Long::Descriptive) (version 0)
- added a new req on perl(Moose) (version 0.86)
- altered req on perl(MooseX::Getopt) (0.09 => 0.18)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 05 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04-2
- I swear I fixed those "manpage" references...

* Wed Nov 05 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04-1
- update for submission

* Mon Oct 27 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04-0.1
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.5)
